## libplist-3 2.2.0

=== debian/changelog ===
libplist-3 (2.2.0-6) unreleased; urgency=medium

  [ Dylan Aïssi ]
  * Adapt patch from Helmut Grohne to fix FTCBFS (Closes: #913117).
      Update python build depends for cross building.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 03 Feb 2021 13:59:02 +0100

libplist (2.2.0-5) unstable; urgency=medium

  * d/control: drop chrpath and libxml2-dev (build)dep (Closes: #981604)
  * d/control: update standards version to 4.5.1
  * d/watch: use standard v4 and uscan special strings

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 03 Feb 2021 13:46:30 +0100

libplist (2.2.0-4) unstable; urgency=medium

  * Upload to unstable
  * run wrap-and-sort

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 23 Jun 2020 11:27:52 +0200

libplist (2.2.0-3) experimental; urgency=medium

  * d/rules: also ship symlinks for pkg-config files

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 17 Jun 2020 11:18:03 +0200

libplist (2.2.0-2) experimental; urgency=medium

  * d/*.symbols: update all symbols versioning to 2.2.0

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 16 Jun 2020 17:36:06 +0200

libplist (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * d/rules: only remove docs/html folder, not the build files
  * d/*.install: update pkg-config filename to libplist-2.0.pc
  * d/libplist-utils.install: add manpage for plistutil
  * d/libplist3.symbols: add new symbols
  * d/control: update standards version to 4.5.0
  * d/patches: add patch to look for proper pkg-config filename
  * d/patches: drop now unneeded patch to configure.ac
  * d/*.install: handle library renaming as well
  * d/rules: provide compatibility symlinks for libraries
  * d/*.symbols updated for new release
  * d/*.lintian-override: acknowledge the non-renaming of the packages
  * d/plistutil.1: dropped, an upstream manpage is now available
  * d/copyright: remove duplicate paragraph

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 16 Jun 2020 13:11:44 +0200

libplist (2.1.0-4) unstable; urgency=medium

  * d/control: build-dep on python3-dev instead of python3-all-dev
    (Closes: #945858)

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 06 Jan 2020 22:56:30 +0100

libplist (2.1.0-3) unstable; urgency=medium

  * debian/control: Bump debhelper compat to v12.
  * Rebuild for a source-only upload.
  * debian/gbp.conf: Drop [buildpackage] section according to
    discussion in debian-devel:
    https://lists.debian.org/debian-devel/2019/11/msg00147.html

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Dec 2019 18:46:08 -0500

libplist (2.1.0-2) unstable; urgency=medium

  * d/copyright: update copyright holders and years

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 29 Nov 2019 21:18:00 +0100

libplist (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * d/libplist3.symbols: update for new release
  * d/control: update standards version to 4.4.1

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 22 Nov 2019 18:26:06 +0100

libplist (2.0.1~git20190921.6a53de9-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/control: update standards version to 4.4.0
  * d/patches: drop all patches, included upstream
  * d/docs: README renamed to README.md
  * d/python-plist.install: update path for plist.pxd
  * d/libplist3.symbols updated for new release
  * d/libplist++3v5.symbols refreshed for new release
  * build python3 bindings instead of python2 (Closes: #936902)
  * d/control: drop obsolete breaks/replaces
  * d/rules: drop dbgsym migration
  * d/NEWS: add a notice about python-plist replacement
  * d/rules: override cython binary to cython3

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 24 Sep 2019 10:10:41 +0200

libplist (2.0.1~git20190104.3f96731-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove debian/pycompat, it's not used by any modern Python helper

  [ Yves-Alexis Perez ]
  * d/control: add gtkpod group as maintainer and add myself as Uploader
  * d/control: use imobiledevice-team VCS on salsa
  * d/patches: drop patches now included in the source package
  * d/control: update standards version to 4.3.0
  * d/control: run wrap-and-sort
  * d/rules: add -O1 and -z,defs to LDFLAGS
  * libplist++3v5: drop unused lintian override
  * d/control: drop conflict/replaces against gone libplist++3
  * use debhelper-compat (=11) buildep for dh compat
  * d/control: slightly update short descriptions
  * d/control: add Boyuan Yang as uploader
  * d/patches: drop obsolete m4 file
  * d/control: build-dep on autoconf-archive
  * d/patches: use PYTHON_LIBS for cython Makefile.am
  * debian/libplist-utils.lintian-overrides dropped

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 08 Jan 2019 13:44:53 +0100

libplist (2.0.0-5) unstable; urgency=medium

  * QA upload.

  [ Yves-Alexis Perez ]
  * Add myself to Uploaders
  * Use Salsa git packaging repository under imobiledevice-team.
  * Remove useless X-Python-Version field from debian/control.
  * Add debian/gbp.conf.

  [ Boyuan Yang ]
  * Backport upstream bugfixes till 2018-09-04.
    + Drop no-unaligned-access.patch, fixes upstream in another way.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Sep 2018 15:17:32 -0400

libplist (2.0.0-4) unstable; urgency=medium

  * QA upload.
  * Apply "wrap-and-sort -abst".
  * Bump Standards-Version to 4.1.4.
  * Bump debhelper compat to v11.
  * debian/control:
    - Drop unnecessary build dependency dh-autoreconf.
    - Drop -dbg package to achieve -dbgsym migration.
    + Mark Multi-Arch information according to M-A Hints:
      + libplist-doc: M-A: foreign
      + libplist++-dev: M-A: same
      + libplist-dev: M-A: same
      + python-plist: M-A: same
    + Update Vcs fields with git repo under Salsa Debian group.
    + Use Breaks + Replaces instead of Conflicts + Replaces
      for package replacement.
  * debian/compat: Update accordingly.
  * debian/copyright: Update information accordingly.

