=== debian/control ===
Source: libplist-3
Section: libs
Priority: optional
Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@alioth-lists.debian.net>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Boyuan Yang <byang@debian.org>
Standards-Version: 4.5.1
Build-Depends: autoconf-archive,
               cython3-legacy:native,
               debhelper-compat (= 12),
               dh-python,
               doxygen,
               dpkg-dev (>= 1.16.1),
               pkg-config,
               libpython3-dev,
               python3-dev:any
Homepage: https://www.libimobiledevice.org/
Vcs-Git: https://salsa.debian.org/imobiledevice-team/libplist.git
Vcs-Browser: https://salsa.debian.org/imobiledevice-team/libplist

Package: libplist++-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libplist++3v5 (= ${binary:Version}), ${misc:Depends}
Description: C++ library for handling Apple binary and XML property lists - dev files
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).
 .
 This package contains the development files of the liplist++ library.

Package: libplist++3v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: C++ Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).
 .
 This library is the C++ implementation of the libplist API.

Package: libplist-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libplist3 (= ${binary:Version}), ${misc:Depends}
Description: Library for handling Apple binary and XML property lists - development files
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).
 .
 This package contains the development files.

Package: libplist-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Description: Library for handling Apple binary and XML property lists - docs
 This package contains tools to convert Apple property list files from binary
 to XML and vice-versa. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).
 .
 This package contains the documentation.

Package: libplist-utils
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Apple property list converter
 This package contains tools to convert Apple property list files from binary
 to XML and vice-versa. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).

Package: libplist3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Library for handling Apple binary and XML property lists
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).

Package: python3-plist
Section: python
Architecture: any
Multi-Arch: same
Breaks: python-plist
Replaces: python-plist
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Library for handling Apple binary and XML property lists - Python3 bindings
 libplist is a library for reading and writing the Apple binary and XML
 property lists format. It's part of the libimobiledevice stack, providing
 access to iDevices (iPod, iPhone, iPad ...).
 .
 This package contains the Python 3 bindings.
